import { Component } from 'react';
import RadioGroup from './group';
import RadioButton from './radioButton';
import { RadioChangeEvent, RadioProps } from './interface';
import RadioContext, { RadioGroupContext } from './RadioContext';
export default class Radio extends Component<RadioProps, {}> {
    static displayName: string;
    static Group: typeof RadioGroup;
    static Button: typeof RadioButton;
    static defaultProps: {
        type: string;
    };
    static get contextType(): typeof RadioContext;
    private rcCheckbox;
    shouldComponentUpdate(nextProps: RadioProps, nextState: {}, nextContext: RadioGroupContext): boolean;
    saveCheckbox: (node: any) => void;
    onChange: (e: RadioChangeEvent) => void;
    focus(): void;
    blur(): void;
    render(): JSX.Element;
}
